AM263Px MCU+ SDK: Icssg_Cfg Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Icssg_Cfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Peripherals » ICSSG Peripheral

## Detailed Description

ICSSG peripheral configuration parameters.

## Data Fields
uint64_t | agingPeriod
EnetPort_VlanCfg | vlanCfg
const EnetDma_Cfg * | dmaCfg
EnetRm_ResCfg | resCfg
Mdio_Cfg | mdioCfg
IcssgTimeSync_Cfg | timeSyncCfg
EnetMacPort_Interface | mii
uint32_t | cycleTimeNs
Icssg_mdioLinkIntCfg | mdioLinkIntCfg
Icssg_portLinkIntCfg | portLinkIntCfg
bool | disablePhyDriver
uint32_t | qosLevels
uint32_t | isPremQueEnable
IcssgTimeSync_ClkType | clockTypeFw
Icssg_custom_Fw | fw [ICSSG_MAC_PORT_MAX]

## Field Documentation

## ◆ agingPeriod

uint64_t Icssg_Cfg::agingPeriod

FDB entry aging period

## ◆ vlanCfg

EnetPort_VlanCfg Icssg_Cfg::vlanCfg

Default VLAN Id and PCP for port

## ◆ dmaCfg

const EnetDma_Cfg* Icssg_Cfg::dmaCfg

Configuration of the ICSSG DMA. Note - In Dual MAC mode, even though separate RX channel is opened for each port, same dmaCfg is used for both

## ◆ resCfg

EnetRm_ResCfg Icssg_Cfg::resCfg

Configuration of the resource partition

## ◆ mdioCfg

Mdio_Cfg Icssg_Cfg::mdioCfg

Configuration of the MDIO module

## ◆ timeSyncCfg

IcssgTimeSync_Cfg Icssg_Cfg::timeSyncCfg

TimeSync configuration parameters

## ◆ mii

EnetMacPort_Interface Icssg_Cfg::mii

MII mode for both MAC ports

## ◆ cycleTimeNs

uint32_t Icssg_Cfg::cycleTimeNs

Cycle time in nanoseconds

## ◆ mdioLinkIntCfg

Icssg_mdioLinkIntCfg Icssg_Cfg::mdioLinkIntCfg

Mdio link interrupt config

## ◆ portLinkIntCfg

Icssg_portLinkIntCfg Icssg_Cfg::portLinkIntCfg

Port link interrupt config

## ◆ disablePhyDriver

bool Icssg_Cfg::disablePhyDriver

Disable Enet LLD PHY driver - Disables use on PHY driver inside the Enet LLD. All PHY functionality including PHY state machine is bypassed Application will use this mode if ethernet PHY is managed outside the Enet LLD Application is responsible for PHY management. Application can register with Enet LLD to get mdioLinkStateChangeCb callback. Application must use Enet LLD IOCTLs to access MDIO as MDIO ownership is still with Enet LLD and there should not be multiple masters for the MDIO peripheral

## ◆ qosLevels

uint32_t Icssg_Cfg::qosLevels

Max number of QoS Level supported. Used to determine number of hostBufferPoolNum

## ◆ isPremQueEnable

uint32_t Icssg_Cfg::isPremQueEnable

Whether premption Queue is enabled or not

## ◆ clockTypeFw

IcssgTimeSync_ClkType Icssg_Cfg::clockTypeFw

Clock type in firmware

## ◆ fw

Icssg_custom_Fw Icssg_Cfg::fw[ICSSG_MAC_PORT_MAX]

ICSSG custom firmware configuration: image addresses and sizes.

- Switch peripheral (ENET_ICSSG_SWITCH), application must populate all firmwares entries of this array.
- Dual-MAC peripheral (ENET_ICSSG_DUALMAC), application must populate only the first firmware entry.